Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssGridView

All Superinterfaces:
  IEssBaseObject

public interface IEssGridView
extends IEssBaseObject

The IEssGridView is a grid view of the cube view.

Field Summary
`static int` | `CELL_CONTENT_TYPE_BLANK`
`static int` | `CELL_CONTENT_TYPE_BLANKwFORMULA`
`static int` | `CELL_CONTENT_TYPE_DOUBLE`
`static int` | `CELL_CONTENT_TYPE_DOUBLEwFORMULA`
`static int` | `CELL_CONTENT_TYPE_ERROR`
`static int` | `CELL_CONTENT_TYPE_FORMULA`
`static int` | `CELL_CONTENT_TYPE_FORMULAEX`
`static int` | `CELL_CONTENT_TYPE_HYBRID_MEMBER`
`static int` | `CELL_CONTENT_TYPE_MEMBER`
`static int` | `CELL_CONTENT_TYPE_MEMBEREX`
`static int` | `CELL_CONTENT_TYPE_MISSING`
`static int` | `CELL_CONTENT_TYPE_MISSINGwFORMULA`
`static int` | `CELL_CONTENT_TYPE_NOACCESS`
`static int` | `CELL_CONTENT_TYPE_NOACCESSwFORMULA`
`static int` | `CELL_CONTENT_TYPE_STRING`
`static int` | `CELL_CONTENT_TYPE_STRINGEX`
`static int` | `CELL_CONTENT_TYPE_STRINGEXwFORMULA`
`static int` | `CELL_CONTENT_TYPE_STRINGwFORMULA`
`static int` | `CELL_CONTENT_TYPE_ZERO`
`static int` | `CELL_CONTENT_TYPE_ZEROwFORMULA`
`static int` | `CELL_TYPE_DATA` Cell type: Data.
`static int` | `CELL_TYPE_MEMBER` Cell type: Member.
`static int` | `CELL_TYPE_TEXT` Cell type: Text (label/comment etc).
`static int` | `DATA_CELL_ATTRIB_HIS_DT`
`static int` | `DATA_CELL_ATTRIB_LINKED_CELL_NOTE`
`static int` | `DATA_CELL_ATTRIB_LINKED_OBJECT`
`static int` | `DATA_CELL_ATTRIB_LINKED_PARTITION`
`static int` | `DATA_CELL_ATTRIB_LINKED_URL`
`static int` | `DATA_CELL_ATTRIB_LINKED_WIN_APP`
`static int` | `DATA_CELL_ATTRIB_READ_ONLY`
`static int` | `DATA_CELL_ATTRIB_READ_WRITE`
`static int` | `MEMBER_CELL_ATTRIB_ATTRIBUTE`
`static int` | `MEMBER_CELL_ATTRIB_DIMNUMBITS`
`static int` | `MEMBER_CELL_ATTRIB_DIMTOP`
`static int` | `MEMBER_CELL_ATTRIB_DYNCALC`
`static int` | `MEMBER_CELL_ATTRIB_EXPSHARE`
`static int` | `MEMBER_CELL_ATTRIB_FORMULA`
`static int` | `MEMBER_CELL_ATTRIB_IMPSHARE`
`static int` | `MEMBER_CELL_ATTRIB_LABELONLY`
`static int` | `MEMBER_CELL_ATTRIB_NEVERSHARE`
`static int` | `MEMBER_CELL_ATTRIB_STOREDATA`
`static int` | `MEMBER_CELL_ATTRIB_ZOOMINABLE`

Method Summary
`IEssGridRange` | `createIEssGridRange()` Creates an object for the interface IEssGridRange.
`IEssCell` | `getCell(int row, int column)` Gets the cell at the specified row, column intersection.
`int` | `getCellContentType(int row, int column)` Gets the type of the cell content at the specifed row, column intersection.
`IEssCell.EEssCellType` | `getCellType(int row, int column)` Gets the type of the cell at the specifed row, column intersection.
`int` | `getCountColumns()` Gets the count of columns in the grid.
`int` | `getCountRows()` Gets the count of rows in the grid.
`int` | `getDataCellAttributes(int row, int column)` Gets the attributes of the data cell at the specified row, column intersection.
`double` | `getDoubleValue(int row, int column)` Gets the double value of the cell at the specified row, column intersection.
`IEssIterator` | `getLinkedObjects(IEssGridRange[] ranges)` Gets linked objects for a range of cells.
`int` | `getMemberCellAttributes(int row, int column)` Gets the attributes of the member cell at the specified row, column intersection.
`java.lang.String` | `getStringValue(int row, int column)` Gets the string value of the cell at the specified row, column intersection.
`java.lang.String[]` | `getUnknownMemberNames()` Gets the unknown members in the grid from the last operation.
`IEssValueAny` | `getValue(int row, int column)` Gets the cell value at the specified row, column intersection.
`void` | `setCellContentType(int row, int column, int type)` Sets the type of the cell content at the specifed row, column intersection.
`void` | `setSize(int countRows, int countColumns)` Deletes the existing grid and creates a new empty grid with the specified number of rows and columns.
`void` | `setValue(int row, int column, double value)` Sets the cell value at the specified row, column intersection intersection.
`void` | `setValue(int row, int column, IEssValueAny value)` Sets the cell value at the specified row, column intersection.
`void` | `setValue(int row, int column, java.lang.String value)` Sets the cell value at the specified row, column intersection.

Field Detail

### CELL_TYPE_MEMBER

    public static final int CELL_TYPE_MEMBER

  Cell type: Member.

  See Also:
    Constant Field Values

### CELL_TYPE_DATA

    public static final int CELL_TYPE_DATA

  Cell type: Data.

  See Also:
    Constant Field Values

### CELL_TYPE_TEXT

    public static final int CELL_TYPE_TEXT

  Cell type: Text (label/comment etc).

  See Also:
    Constant Field Values

### CELL_CONTENT_TYPE_STRING

    public static final int CELL_CONTENT_TYPE_STRING

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_DOUBLE

    public static final int CELL_CONTENT_TYPE_DOUBLE

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_BLANK

    public static final int CELL_CONTENT_TYPE_BLANK

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_ERROR

    public static final int CELL_CONTENT_TYPE_ERROR

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_MISSING

    public static final int CELL_CONTENT_TYPE_MISSING

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_ZERO

    public static final int CELL_CONTENT_TYPE_ZERO

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_NOACCESS

    public static final int CELL_CONTENT_TYPE_NOACCESS

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_MEMBER

    public static final int CELL_CONTENT_TYPE_MEMBER

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_MEMBEREX

    public static final int CELL_CONTENT_TYPE_MEMBEREX

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_STRINGEX

    public static final int CELL_CONTENT_TYPE_STRINGEX

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_STRINGEXwFORMULA

    public static final int CELL_CONTENT_TYPE_STRINGEXwFORMULA

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_FORMULAEX

    public static final int CELL_CONTENT_TYPE_FORMULAEX

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_HYBRID_MEMBER

    public static final int CELL_CONTENT_TYPE_HYBRID_MEMBER

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_FORMULA

    public static final int CELL_CONTENT_TYPE_FORMULA

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_ZEROwFORMULA

    public static final int CELL_CONTENT_TYPE_ZEROwFORMULA

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_DOUBLEwFORMULA

    public static final int CELL_CONTENT_TYPE_DOUBLEwFORMULA

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_BLANKwFORMULA

    public static final int CELL_CONTENT_TYPE_BLANKwFORMULA

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_STRINGwFORMULA

    public static final int CELL_CONTENT_TYPE_STRINGwFORMULA

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_MISSINGwFORMULA

    public static final int CELL_CONTENT_TYPE_MISSINGwFORMULA

See Also:
  Constant Field Values

### CELL_CONTENT_TYPE_NOACCESSwFORMULA

    public static final int CELL_CONTENT_TYPE_NOACCESSwFORMULA

See Also:
  Constant Field Values

### DATA_CELL_ATTRIB_READ_ONLY

    public static final int DATA_CELL_ATTRIB_READ_ONLY

See Also:
  Constant Field Values

### DATA_CELL_ATTRIB_READ_WRITE

    public static final int DATA_CELL_ATTRIB_READ_WRITE

See Also:
  Constant Field Values

### DATA_CELL_ATTRIB_LINKED_OBJECT

    public static final int DATA_CELL_ATTRIB_LINKED_OBJECT

See Also:
  Constant Field Values

### DATA_CELL_ATTRIB_LINKED_PARTITION

    public static final int DATA_CELL_ATTRIB_LINKED_PARTITION

See Also:
  Constant Field Values

### DATA_CELL_ATTRIB_LINKED_CELL_NOTE

    public static final int DATA_CELL_ATTRIB_LINKED_CELL_NOTE

See Also:
  Constant Field Values

### DATA_CELL_ATTRIB_LINKED_WIN_APP

    public static final int DATA_CELL_ATTRIB_LINKED_WIN_APP

See Also:
  Constant Field Values

### DATA_CELL_ATTRIB_LINKED_URL

    public static final int DATA_CELL_ATTRIB_LINKED_URL

See Also:
  Constant Field Values

### DATA_CELL_ATTRIB_HIS_DT

    public static final int DATA_CELL_ATTRIB_HIS_DT

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_DIMTOP

    public static final int MEMBER_CELL_ATTRIB_DIMTOP

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_ZOOMINABLE

    public static final int MEMBER_CELL_ATTRIB_ZOOMINABLE

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_NEVERSHARE

    public static final int MEMBER_CELL_ATTRIB_NEVERSHARE

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_LABELONLY

    public static final int MEMBER_CELL_ATTRIB_LABELONLY

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_STOREDATA

    public static final int MEMBER_CELL_ATTRIB_STOREDATA

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_EXPSHARE

    public static final int MEMBER_CELL_ATTRIB_EXPSHARE

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_IMPSHARE

    public static final int MEMBER_CELL_ATTRIB_IMPSHARE

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_DYNCALC

    public static final int MEMBER_CELL_ATTRIB_DYNCALC

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_FORMULA

    public static final int MEMBER_CELL_ATTRIB_FORMULA

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_ATTRIBUTE

    public static final int MEMBER_CELL_ATTRIB_ATTRIBUTE

See Also:
  Constant Field Values

### MEMBER_CELL_ATTRIB_DIMNUMBITS

    public static final int MEMBER_CELL_ATTRIB_DIMNUMBITS

See Also:
  Constant Field Values

Method Detail

### getCountRows

    public int getCountRows()
                     throws EssException

  Gets the count of rows in the grid.

  Returns:
    The count of rows in the grid.
  Throws:
    `EssException` - if an error occurs.

### getCountColumns

    public int getCountColumns()
                        throws EssException

  Gets the count of columns in the grid.

  Returns:
    The count of columns in the grid.
  Throws:
    `EssException` - if an error occurs.

### getCellType

    public IEssCell.EEssCellType getCellType(int row,
                                             int column)
                                      throws EssException

  Gets the type of the cell at the specifed row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
  Returns:
    The cell type.
  Throws:
    `EssException` - if an error occurs.

### getCellContentType

    public int getCellContentType(int row,
                                  int column)
                           throws EssException

  Gets the type of the cell content at the specifed row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
  Returns:
    The cell content type. One of the IEssGridView.CELL_CONTENT_*.
  Throws:
    `EssException` - if an error occurs.

### setCellContentType

    public void setCellContentType(int row,
                                   int column,
                                   int type)
                            throws EssException

  Sets the type of the cell content at the specifed row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
    `type` - The cell context type. One of the IEssGridView.CELL_CONTENT_*.
  Throws:
    `EssException` - if an error occurs.

### getDataCellAttributes

    public int getDataCellAttributes(int row,
                                     int column)
                              throws EssException

  Gets the attributes of the data cell at the specified row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
  Returns:
    The data cell attributes. Combination of values from IEssGridView.DATA_CELL_*.
  Throws:
    `EssException` - if an error occurs.

### getMemberCellAttributes

    public int getMemberCellAttributes(int row,
                                       int column)
                                throws EssException

  Gets the attributes of the member cell at the specified row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
  Returns:
    The member cell attributes. Combination of values from IEssGridView.MEMBER_CELL_*.
  Throws:
    `EssException` - if an error occurs.

### getStringValue

    public java.lang.String getStringValue(int row,
                                           int column)
                                    throws EssException

  Gets the string value of the cell at the specified row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
  Returns:
    The string value.
  Throws:
    `EssException`

### setValue

    public void setValue(int row,
                         int column,
                         java.lang.String value)
                  throws EssException

  Sets the cell value at the specified row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
    `value` - The string value.
  Throws:
    `EssException` - if an error occurs.

### getDoubleValue

    public double getDoubleValue(int row,
                                 int column)
                          throws EssException

  Gets the double value of the cell at the specified row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
  Returns:
    The double value.
  Throws:
    `EssException`

### setValue

    public void setValue(int row,
                         int column,
                         double value)
                  throws EssException

  Sets the cell value at the specified row, column intersection intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
    `value` - The double value.
  Throws:
    `EssException` - if an error occurs.

### getValue

    public IEssValueAny getValue(int row,
                                 int column)
                          throws EssException

  Gets the cell value at the specified row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
  Returns:
    The cell value at the intersection. Either a string value (for member and text cell) or a double value (for data cell) is returned.
  Throws:
    `EssException` - if an error occurs.

### setValue

    public void setValue(int row,
                         int column,
                         IEssValueAny value)
                  throws EssException

  Sets the cell value at the specified row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
    `value` - The cell value. Either a String value (for member and text cell) or a double value (for data cell) is allowed here.
  Throws:
    `EssException` - if an error occurs.

### getCell

    public IEssCell getCell(int row,
                            int column)
                     throws EssException

  Gets the cell at the specified row, column intersection.

  Parameters:
    `row` - The row id.
    `column` - The column id.
  Returns:
    The cell at the intersection.
  Throws:
    `EssException` - if an error occurs.

### setSize

    public void setSize(int countRows,
                        int countColumns)
                 throws EssException

  Deletes the existing grid and creates a new empty grid with the specified number of rows and columns.

  Parameters:
    `countRows` - The count of rows in the Grid.
    `countColumns` - The count of columns in the Grid.
  Throws:
    `EssException` - if an error occurs.

### getUnknownMemberNames

    public java.lang.String[] getUnknownMemberNames()
                                             throws EssException

  Gets the unknown members in the grid from the last operation. In order for this method to return unknown members, you need to make sure the cube view property to display unknown members is enabled by invoking the method IEssCubeView.setDisplayUnknownMembers(), before performing the cube view operation.

  Returns:
    The unknown member names.
  Throws:
    `EssException`

### createIEssGridRange

    public IEssGridRange createIEssGridRange()
                                      throws EssException

  Creates an object for the interface IEssGridRange.

  Returns:
    The grid range object.
  Throws:
    `EssException` - if an error occurs.

### getLinkedObjects

    public IEssIterator getLinkedObjects(IEssGridRange[] ranges)
                                  throws EssException

  Gets linked objects for a range of cells.

  Parameters:
    `ranges` - The cell ranges.
  Returns:
    The linked objects.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD